<div class="d-flex justify-content-center">
  <div class="col-8">
    <div *ngIf="avancementEchelon">
      <h2 data-cy="avancementEchelonDetailsHeading">
        <span jhiTranslate="gestionPersonnel3App.avancementEchelon.detail.title">Avancement Echelon</span>
      </h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="global.field.id">ID</span></dt>
        <dd>
          <span>{{ avancementEchelon.id }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.avancementEchelon.dateAvancement">Date Avancement</span></dt>
        <dd>
          <span>{{ avancementEchelon.dateAvancement | formatMediumDate }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.avancementEchelon.echelon">Echelon</span></dt>
        <dd>
          <div *ngIf="avancementEchelon.echelon">
            <a [routerLink]="['/echelon', avancementEchelon.echelon.id, 'view']">{{ avancementEchelon.echelon.id }}</a>
          </div>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.avancementEchelon.employe">Employe</span></dt>
        <dd>
          <div *ngIf="avancementEchelon.employe">
            <a [routerLink]="['/employe', avancementEchelon.employe.id, 'view']">{{ avancementEchelon.employe.id }}</a>
          </div>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Retour</span>
      </button>

      <button type="button" [routerLink]="['/avancement-echelon', avancementEchelon.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Editer</span>
      </button>
    </div>
  </div>
</div>
